Loading...
Searching...
No Matches
pcl::texture_mapping::UvIndex Struct Reference

Structure that links a uv coordinate to its 3D point and face. More...

`#include <pcl/surface/texture_mapping.h>`

## Public Member Functions

| UvIndex ()=default

## Public Attributes

int | idx_cloud {0}
int | idx_face {0}

## Detailed Description

Structure that links a uv coordinate to its 3D point and face.

Definition at line 83 of file texture_mapping.h.

## Constructor & Destructor Documentation

## UvIndex()

pcl::texture_mapping::UvIndex::UvIndex | ( |  | ) |

default

## Member Data Documentation

## idx_cloud

int pcl::texture_mapping::UvIndex::idx_cloud {0}

Definition at line 86 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## idx_face

int pcl::texture_mapping::UvIndex::idx_face {0}

Definition at line 87 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- pcl/surface/texture_mapping.h